package com.memorynotfound.json;

import com.google.gson.Gson;
import com.google.gson.GsonBuilder;
import java.util.Date;

public class ExcludeExposeGson {

    public static void main(String... args){
        Product product = new Product(1, "Playstation 4", new Date(), 499.99);

        // normal serialization
        Gson gson = new GsonBuilder().create();
        String result = gson.toJson(product);
        System.out.println(result);

        // dynamic serialization on product
        gson = new GsonBuilder()
                .registerTypeAdapter(Product.class, new ProductSerializer())
                .create();
        result = gson.toJson(product);
        System.out.println(result);
    }
}
