package com.memorynotfound.json;

import com.google.gson.*;
import java.lang.reflect.Type;

public class ProductSerializer implements JsonSerializer<Product> {

    @Override
    public JsonElement serialize(Product product, Type type, JsonSerializationContext jsc) {
        JsonObject jObj = (JsonObject)new GsonBuilder().create().toJsonTree(product);
        if (product.getAmount() > 100){
            jObj.remove("amount");
        }
        return jObj;
    }
}
